Subject: Re: [PATCH 0/7] MPC5200 and Lite5200b low power modes

From: Domen Puncer <[email-masked]>
Date: Sat, 3 Mar 2007 08:33:36 +0100

On 02/03/07 22:35 +0100, Sylvain Munaut wrote:
> Hi,
> 
> Thanks for providing theses.
> I hadn't a chance to test them yet, I'll try that this week end. A
> couple of comments already though :
> 
>  - Is saving the SDMA / PIC registers necessary ? Doesn't the cpu keep
> those when at sleep ?

For deep-sleep this is true, but not for low-power mode (the CPU
isn't even powered in that case).

>  - And if it is, won't a memcpy_io of the whole zone do the trick ?

Oh, nice. I wasn't aware of _memcpy_{to,from}io. I'll try it.

>  - On a more general note, there seem to be a lot of stuff decided by
> #ifdef ... that's not really good as we can build a single kernel that
> could run on several platform so those need to somehow be enable
> disabled dynamically.

CONFIG_PM - well... it doesn't make sense too keep the code if
	power management is disabled.
SELF_REFRESH, TESTING - both are provided for debugging, final
	version is former on, latter off.

>  - I may miss something but turning port power off for USB seem like a
> sane thing to do for every one. Isn't that implemented somehow for all
> controller somewhere ?

The "USB power led" on lite5200b says it isn't.

Thanks!

	Domen